CLASS Logfile_Base
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"0");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
END
CLASS Logfile_Base_PID
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"1");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"2");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Root_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"3");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"extra");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login %s", $V6);
    sub_source = "login";
END
CLASS Root_Login_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"4");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login on %s", $V6);
    sub_source = "login";
    on_tty = $V6;
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"5");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"extra");
    7: ATTR(=,"on_tty");
    8: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login on %s from %s", $V7, $V8);
    sub_source = "login";
    on_tty = $V7;
    from_host = $V8;
END
CLASS Root_Login_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"6");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login on %s", $V7);
    pid = $V6;
    sub_source = "root";
    on_tty = $V7;
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"7");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"on_tty");
    8: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login on %s from %s", $V7, $V8);
    pid = $V6;
    sub_source = "root";
    on_tty = $V7;
    from_host = $V8;
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"8");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed from %s", $V7);
    pid = $V6;
    sub_source = "root";
    from_host = $V7;
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"9");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"extra");
    7: ATTR(=,"from_host");
    8: ATTR(=,"cause");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed from %s%s", $V7, $V8);
    sub_source = "login";
    from_host = $V7;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"10");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "login";
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"11");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
    8: ATTR(=,"cause");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed from %s%s", $V7, $V8);
    pid = $V6;
    sub_source = "login";
    from_host = $V7;
END
CLASS Root_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"12");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"cause");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed%s", $V7);
    pid = $V6;
    sub_source = "login";
END
CLASS Root_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"13");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"name");
    8: ATTR(=,"uid");
    9: ATTR(=,"on_tty");
    10: ATTR(=,"user");
    11: ATTR(=,"host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed: logname=%s uid=%s tty=%s ruser=%s rhost=%s", $V7, $V8, $V9, $V10, $V11);
    pid = $V6;
    sub_source = "login";
    on_tty = $V9;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"14");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("too many login tries %s", $V6);
    sub_source = "login";
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"15");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"repeat_count");
    7: ATTR(=,"from_host");
    8: ATTR(=,"user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("too many login tries %s from %s for %s", $V6, $V7, $V8);
    sub_source = "login";
    repeat_count = $V6;
    from_host = $V7;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"16");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("too many login tries %s", $V6);
    sub_source = "login";
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"17");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"repeat_count");
    7: ATTR(=,"from_host");
    8: ATTR(=,"user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("too many login tries %s from %s for %s", $V6, $V7, $V8);
    sub_source = "login";
    repeat_count = $V6;
    from_host = $V7;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"18");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("too many login tries %s", $V7);
    pid = $V6;
    sub_source = "login";
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"19");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"repeat_count");
    8: ATTR(=,"from_host");
    9: ATTR(=,"user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("too many login tries %s from %s for %s", $V7, $V8, $V9);
    pid = $V6;
    sub_source = "login";
    repeat_count = $V7;
    from_host = $V8;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"20");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"to_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("session opened for user %s", $V7);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Root_Login_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"21");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"by_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login by %s", $V7);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"22");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"on_tty");
    8: ATTR(=,"rhost");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("login failed for unknown user from %s", $V8);
    pid = $V6;
    sub_source = "sshd";
    on_tty = $V7;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"23");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"on_tty");
    8: ATTR(=,"rhost");
    9: ATTR(=,"user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("login failed for %s from %s", $V9, $V8);
    pid = $V6;
    sub_source = "sshd";
    on_tty = $V7;
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"24");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"name");
    8: ATTR(=,"uid");
    9: ATTR(=,"on_tty");
    10: ATTR(=,"user");
    11: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed from %s: logname=%s uid=%s tty=%s ruser=%s", $V11, $V7, $V8, $V9, $V10);
    pid = $V6;
    sub_source = "sshd";
    on_tty = $V9;
    from_host = $V11;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"25");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"repeat_count");
    8: ATTR(=,"on_tty");
    9: ATTR(=,"ruser");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s more login failures on tty %s: ruser=%s", $V7, $V8, $V9);
    pid = $V6;
    sub_source = "sshd";
    repeat_count = $V7;
    on_tty = $V8;
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"26");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"repeat_count");
    8: ATTR(=,"on_tty");
    9: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s more login failures for unknown user on tty %s from %s", $V7, $V8, $V9);
    pid = $V6;
    sub_source = "sshd";
    repeat_count = $V7;
    on_tty = $V8;
    from_host = $V9;
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"27");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"repeat_count");
    8: ATTR(=,"on_tty");
    9: ATTR(=,"from_host");
    10: ATTR(=,"user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s more login failures for %s on tty %s from %s", $V7, $V10, $V8, $V9);
    pid = $V6;
    sub_source = "sshd";
    repeat_count = $V7;
    on_tty = $V8;
    from_host = $V9;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"28");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"result");
    8: ATTR(=,"to_user");
    9: ATTR(=,"from");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s password for user %s from %s", $V7, $V8, $V9);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"29");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
    8: ATTR(=,"port");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login from host %s port %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
    from_host = $V7;
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"30");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
    8: ATTR(=,"port");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("root login failed from %s port %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
    from_host = $V7;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"31");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"user");
    8: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Invalid user %s from %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"32");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"sev");
    8: ATTR(=,"module");
    9: ATTR(=,"user");
    10: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Unknown user %s from %s", $V9, $V10);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"33");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    pid = $V6;
    sub_source = "sshd";
    msg = "Failed login for unknown user";
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"34");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"user");
    8: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Failed login for %s from %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"35");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Failed root login from %s", $V7);
    pid = $V6;
    sub_source = "sshd";
    from_host = $V7;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"36");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"result");
    8: ATTR(=,"user");
    9: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s login for %s from %s", $V7, $V8, $V9);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"37");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"user");
    8: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Failed login for %s from %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"38");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
    8: ATTR(=,"extra");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Successful root login from %s port %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
    from_host = $V7;
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"39");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
    8: ATTR(=,"extra");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("Failed root login from %s port %s", $V7, $V8);
    pid = $V6;
    sub_source = "sshd";
    from_host = $V7;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"40");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"sub_origin");
    8: ATTR(=,"change_by");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("password for %s changed by %s", $V7, $V8);
    pid = $V6;
    sub_source = "PAM_pwdb";
    sub_origin = $V7;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"41");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "passwd";
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"42");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"sub_origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("password changed for %s", $V7);
    pid = $V6;
    sub_source = "passwd";
    sub_origin = $V7;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"43");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"sub_origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("authentication failure for %s", $V7);
    pid = $V6;
    sub_source = "passwd";
    sub_origin = $V7;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"44");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "passwd";
END
CLASS Logfile_Su
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"45");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su %s", $V7);
    pid = $V6;
    sub_source = "PAM_pwdb";
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"46");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"to_user");
    8: ATTR(=,"from_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su success: %s -> %s", $V8, $V7);
    pid = $V6;
    sub_source = "PAM_pwdb";
    to_user = $V7;
    from_user = $V8;
END
CLASS Su_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"47");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_user");
    8: ATTR(=,"to_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su failure: %s -> %s", $V7, $V8);
    pid = $V6;
    sub_source = "PAM_pwdb";
    from_user = $V7;
    to_user = $V8;
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"48");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"to_user");
    8: ATTR(=,"from_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su success: %s -> %s", $V8, $V7);
    pid = $V6;
    sub_source = "su";
    to_user = $V7;
    from_user = $V8;
END
CLASS Su_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"49");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_user");
    8: ATTR(=,"to_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su failure: %s -> %s", $V7, $V8);
    pid = $V6;
    sub_source = "su";
    from_user = $V7;
    to_user = $V8;
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"50");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"to_user");
    7: ATTR(=,"from_user");
    8: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su success: %s -> %s", $V7, $V6);
    sub_source = "su";
    to_user = $V6;
    from_user = $V7;
    on_tty = $V8;
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"51");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"to_user");
    7: ATTR(=,"from_user");
    8: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su success: %s -> %s", $V7, $V6);
    sub_source = "su";
    to_user = $V6;
    from_user = $V7;
    on_tty = $V8;
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"52");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"status");
    7: ATTR(=,"to_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su session %s for user %s", $V6, $V7);
    sub_source = "su";
    to_user = $V7;
END
CLASS Su_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"53");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"to_user");
    7: ATTR(=,"from_user");
    8: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("su failure: %s -> %s", $V7, $V6);
    sub_source = "su";
    to_user = $V6;
    from_user = $V7;
    on_tty = $V8;
END
CLASS Logfile_Ypbind
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"54");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "ypbind";
END
CLASS Logfile_Ypbind
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"55");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "ypbind";
END
CLASS NIS_No_Response
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"56");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    sub_source = "ypbind";
    msg = "attempting to contact yp server failed";
END
CLASS NIS_OK
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"57");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"server");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("bound to NIS server %s", $V6);
    sub_source = "ypbind";
    server = $V6;
END
CLASS Logfile_Automount
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"58");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "automount";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"59");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"priority");
    8: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s: %s", $V7, $V8);
    pid = $V6;
    sub_source = "amd";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"60");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "amd";
    severity = "HARMLESS";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"61");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "amd";
    severity = "WARNING";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"62");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "amd";
    severity = "MINOR";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"63");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "amd";
    severity = "CRITICAL";
END
CLASS Amd_Mounted
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"64");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"file_system");
    8: ATTR(=,"type");
    9: ATTR(=,"mount_point");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s mounted on %s", $V7, $V9);
    pid = $V6;
    sub_source = "amd";
    file_system = $V7;
    type = $V8;
    mount_point = $V9;
END
CLASS Amd_Unmounted
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"65");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"file_system");
    8: ATTR(=,"type");
    9: ATTR(=,"mount_point");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s unmounted from %s", $V7, $V9);
    pid = $V6;
    sub_source = "amd";
    file_system = $V7;
    type = $V8;
    mount_point = $V9;
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"66");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "crond";
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"67");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "crond";
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"68");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "cron";
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"69");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "cron";
END
CLASS Logfile_Ftpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"70");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "ftpd";
END
CLASS Logfile_Ftpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"71");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "ftpd";
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"72");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_host");
    8: ATTR(=,"ipaddr");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("ftp root login from %s [%s]", $V7, $V8);
    pid = $V6;
    sub_source = "ftpd";
    from_host = $V7;
END
CLASS Logfile_Snmpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"73");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "snmpd";
END
CLASS Logfile_Named
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"74");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "named";
END
CLASS Logfile_Rlogind
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"75");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "rlogind";
END
CLASS Logfile_Telnetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"76");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "telnetd";
END
CLASS Logfile_Inetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"77");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "inetd";
END
CLASS Logfile_Mountd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"78");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "rpc.mountd";
END
CLASS Logfile_Rstatd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"79");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "rstatd";
END
CLASS Logfile_Syslogd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"80");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "syslogd";
END
CLASS Logfile_Syslogd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"81");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "syslogd";
END
CLASS Logfile_Lpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"82");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "lpd";
END
CLASS Logfile_Lpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"83");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "lpd";
END
CLASS Logfile_Xntpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"84");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "xntpd";
END
CLASS Logfile_Sendmail
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"85");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "sendmail";
END
CLASS Logfile_Sendmail
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"86");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "sendmail";
END
CLASS Logfile_Init
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"87");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "init";
END
CLASS Logfile_Kernel
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"88");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "unix";
END
CLASS Logfile_Oserv
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"89");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = $V6;
    sub_source = "oserv";
    pid = $V7;
END
CLASS Oserv_Fork_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"90");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"errno");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = "oserv fork failed";
    sub_source = "oserv";
    pid = $V6;
    errno = $V7;
END
CLASS Oserv_Exec_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"91");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"exec_path");
    8: ATTR(=,"errno");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = "oserv exec failed";
    sub_source = "oserv";
    pid = $V6;
    exec_path = $V7;
    errno = $V8;
END
CLASS Oserv_IPC_Dispatch_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"92");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    sub_source = "oserv";
    pid = $V6;
    msg = "oserv ipc_dispatch failed";
END
CLASS Oserv_Event_Method_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"93");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = "oserv event method failed";
    sub_source = "oserv";
    pid = $V6;
    desc = $V7;
END
CLASS Oserv_Panic
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"94");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
    7: ATTR(=,"cause");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = "oserv panic";
    sub_source = "oserv";
    pid = $V6;
    cause = $V7;
END
CLASS Oserv_Graceful_Exit
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"95");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    sub_source = "oserv";
    pid = $V6;
    msg = "oserv exited gracefully";
END
CLASS Logfile_Reboot
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"96");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"origin");
    5: ATTR(=,"date");
    6: ATTR(=,"by");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    origin = $V4;
    date = $V5;
    msg = PRINTF("%s rebooted by %s", $V2, $V6);
    by = $V6;
    sub_source = "reboot";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"97");
  MAP
    dummy = "dummy";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"98");
  MAP
    dummy = "dummy";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"99");
  MAP
    dummy = "dummy";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"100");
  MAP
    dummy = "dummy";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"101");
  MAP
    dummy = "dummy";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"102");
  MAP
    dummy = "dummy";
END
